Bug 90401 - [bdw] HDMI i915 driver broken on Gigabyte Brix GB-BXi7H-5500
Summary: [bdw] HDMI i915 driver broken on Gigabyte Brix GB-BXi7H-5500
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-11 08:40 UTC by Jan Newmarch
Modified: 2015-05-21 09:07 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Screen shot of firefox on Gigabyte Brix with i915 driver (1.91 MB, image/jpeg)
2015-05-11 08:40 UTC, Jan Newmarch
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Newmarch 2015-05-11 08:40:28 UTC
Created attachment 115693 [details]
Screen shot of firefox on Gigabyte Brix with i915 driver

This ultra-compact only has HDMI and mini DisplayPort. On both, with several versions of Linux, X windows shows garbage - recognisable bits surrounded by random graphics. Desktop Linux's won't install as the graphics output during the install process is unreadable.
Managed to install Ubuntu 14.10 server using command-line install. X just about works with xterm and twm but anything like firefox just blows the screen. Screenshot attached. Gnome just as unusable.
Driver is i915. I've run the Intel Graphics Installer 1.0.8 for Ubuntu 14.10 64-bit from 01.org, but it makes no difference. frame buffer is inteldrmfb.
Any clues what I should do?
Comment 1 Jani Nikula 2015-05-11 08:52:23 UTC
Please provide 'lspci -vmmnn -s 00:02' for a start.
Comment 2 Jan Newmarch 2015-05-11 09:56:52 UTC
Slot:	00:02.0
Class:	VGA compatible controller [0300]
Vendor:	Intel Corporation [8086]
Device:	Broadwell-U Integrated Graphics [1616]
SVendor:	Gigabyte Technology Co., Ltd [1458]
SDevice:	Device [1000]
Rev:	09
Comment 3 Jan Newmarch 2015-05-16 10:01:29 UTC
Fix #36 works from "Graphics unstable on Ubuntu 14.04 and 14.10 using Intel HD Graphics 5500" at https://bugs.launchpad.net/xserver-xorg-video-intel/+bug/1432194. This sets acceleration mode to "uxa". It doesn't help Desktop installs as they still can't be done. Only helps when adding X to server installs.

"try to create the following folder:
sudo mkdir /etc/X11/xorg.conf.d/

Then create inside the new folder a file named for example "20-intel.conf" with the following content:
Section "Device"
 Identifier "Card0"
 Driver "Intel"
 Option "AccelMethod" "uxa"
EndSection

Then reboot and voila."
Comment 4 Jan Newmarch 2015-05-19 10:31:04 UTC
On  https://bugs.launchpad.net/xserver-xorg-video-intel/+bug/1432194
Timo Aaltonen (tjaalton) wrote: davelargeuk, jan-newmarch, mheiber: this is not your bug, file a new one

So he is saying that this is a new bug, not the one he fixed. Should I registering it here or on bugs.launchpad.net?
Comment 5 Ander Conselvan de Oliveira 2015-05-19 11:12:34 UTC
(In reply to Jan Newmarch from comment #4)
> On  https://bugs.launchpad.net/xserver-xorg-video-intel/+bug/1432194
> Timo Aaltonen (tjaalton) wrote: davelargeuk, jan-newmarch, mheiber: this is
> not your bug, file a new one
> 
> So he is saying that this is a new bug, not the one he fixed. Should I
> registering it here or on bugs.launchpad.net?

Please test the Xorg ddx driver from [1] and report back.

[1] http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Comment 6 Jan Newmarch 2015-05-21 09:07:08 UTC
Downloaded, built and installed  2.99.917 commit baec802b21... Great! Can play Youtube videos, Big Buck Bunny and glmark2 (only scored 119, though). Looks like this is the fix. Both HDMI and mini DisplayPort outputs are working fine so far. Great job to all the developers. I'll put all my travails with this PC on my blog at http://jan/newmarch.name.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.